path: /build/build/hplip-plugin-net-print-3.24.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-print/hplip-plugin -pv -t && \
    emerge -j ${JOBS} --nodeps net-print/hplip-plugin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hplip-plugin && luet-portage --dir /pkgdir/hplip-plugin
    net-print/hplip-plugin && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8397cfb8c7776d34ad02b243bf7b4a742905567b36c180d65c74c6a887c31f6a
  package:
    name: hplip-plugin
    version: 3.24.4
    category: net-print
    requires:
    - name: hplip
      version: '>=0'
      category: net-print
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Proprietary plugins and firmware for HPLIP
    uri:
    - https://developers.hp.com/hp-linux-imaging-and-printing/plugins
    license: hplip-plugin
    buildtimestamp: 2024-08-27 14:08:09.98812928 +0000 UTC m=+63.055723405
    labels:
      DEPEND: virtual/pkgconfig
      RDEPEND: '>=net-print/hplip-3.24.0 virtual/udev'
      emerge.packages: net-print/hplip-plugin
      kit: desktop-kit
      original.package.name: net-print/hplip-plugin
      original.package.slot: "0"
      original.package.version: 3.24.4
    treedir: /build/packages
  package_dir: /pkgdir/hplip-plugin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6a5e1522c0c5119bc5cf106465b3a80a1e1f234f4aed17e581cf5944ca5d1d89
compressiontype: zstd
files:
- usr/share/hplip/data/firmware/hp_laserjet_1000.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_1005_series.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_1018.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_1020.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_p1005.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_p1006.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_p1007.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_p1008.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_p1009.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_p1505.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_professional_p1102.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_professional_p1102w.fw.gz
- usr/share/hplip/data/firmware/hp_laserjet_professional_p1566.fw.gz
- usr/share/hplip/fax/plugins/fax_marvell.so
- usr/share/hplip/prnt/plugins/hbpl1.so
- usr/share/hplip/prnt/plugins/hpgt2500_ntdcmsdll.so
- usr/share/hplip/prnt/plugins/lj.so
- usr/share/hplip/scan/plugins/bb_escl.so
- usr/share/hplip/scan/plugins/bb_marvell.so
- usr/share/hplip/scan/plugins/bb_orblite.so
- usr/share/hplip/scan/plugins/bb_soap.so
- usr/share/hplip/scan/plugins/bb_soapht.so
- var/db/pkg/net-print/hplip-plugin-3.24.4/BUILD_TIME
- var/db/pkg/net-print/hplip-plugin-3.24.4/CATEGORY
- var/db/pkg/net-print/hplip-plugin-3.24.4/CBUILD
- var/db/pkg/net-print/hplip-plugin-3.24.4/CFLAGS
- var/db/pkg/net-print/hplip-plugin-3.24.4/CHOST
- var/db/pkg/net-print/hplip-plugin-3.24.4/CONTENTS
- var/db/pkg/net-print/hplip-plugin-3.24.4/COUNTER
- var/db/pkg/net-print/hplip-plugin-3.24.4/CTARGET
- var/db/pkg/net-print/hplip-plugin-3.24.4/CXX
- var/db/pkg/net-print/hplip-plugin-3.24.4/CXXFLAGS
- var/db/pkg/net-print/hplip-plugin-3.24.4/DEFINED_PHASES
- var/db/pkg/net-print/hplip-plugin-3.24.4/DEPEND
- var/db/pkg/net-print/hplip-plugin-3.24.4/DESCRIPTION
- var/db/pkg/net-print/hplip-plugin-3.24.4/EAPI
- var/db/pkg/net-print/hplip-plugin-3.24.4/FEATURES
- var/db/pkg/net-print/hplip-plugin-3.24.4/HOMEPAGE
- var/db/pkg/net-print/hplip-plugin-3.24.4/INHERITED
- var/db/pkg/net-print/hplip-plugin-3.24.4/IUSE
- var/db/pkg/net-print/hplip-plugin-3.24.4/IUSE_EFFECTIVE
- var/db/pkg/net-print/hplip-plugin-3.24.4/KEYWORDS
- var/db/pkg/net-print/hplip-plugin-3.24.4/LDFLAGS
- var/db/pkg/net-print/hplip-plugin-3.24.4/LICENSE
- var/db/pkg/net-print/hplip-plugin-3.24.4/NEEDED
- var/db/pkg/net-print/hplip-plugin-3.24.4/NEEDED.ELF.2
- var/db/pkg/net-print/hplip-plugin-3.24.4/PF
- var/db/pkg/net-print/hplip-plugin-3.24.4/PROVIDES
- var/db/pkg/net-print/hplip-plugin-3.24.4/RDEPEND
- var/db/pkg/net-print/hplip-plugin-3.24.4/REQUIRES
- var/db/pkg/net-print/hplip-plugin-3.24.4/SIZE
- var/db/pkg/net-print/hplip-plugin-3.24.4/SLOT
- var/db/pkg/net-print/hplip-plugin-3.24.4/USE
- var/db/pkg/net-print/hplip-plugin-3.24.4/environment.bz2
- var/db/pkg/net-print/hplip-plugin-3.24.4/hplip-plugin-3.24.4.ebuild
- var/db/pkg/net-print/hplip-plugin-3.24.4/repository
- var/lib/hp/hplip.state
package_cacheimage: ""
runtime:
  name: hplip-plugin
  version: 3.24.4
  category: net-print
  requires:
  - name: hplip
    version: '>=0'
    category: net-print
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Proprietary plugins and firmware for HPLIP
  uri:
  - https://developers.hp.com/hp-linux-imaging-and-printing/plugins
  license: hplip-plugin
  labels:
    DEPEND: virtual/pkgconfig
    RDEPEND: '>=net-print/hplip-3.24.0 virtual/udev'
    emerge.packages: net-print/hplip-plugin
    kit: desktop-kit
    original.package.name: net-print/hplip-plugin
    original.package.slot: "0"
    original.package.version: 3.24.4
